# Interface SyScrollPaneReadableType

All Superinterfaces:
  `SyActiveReadableType, SyBoundedReadableType<SySpaceParentRelativeType>, SyComponentReadableType, SyKeyboardFocusableReadableType, SyMouseFocusAcceptingReadableType, SySizedReadableType<SySpaceParentRelativeType>, SyThemeableReadableType, SyVisibleReadableType`

All Known Subinterfaces:
  `SyScrollPaneType`

public interface SyScrollPaneReadableType extends SyComponentReadableType
Read-only access to a scroll pane.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SyComponentReadableType`
  `contentArea()`
  `SyComponentReadableType`
  `contentViewport()`
  `Runnable`
  `onScrollClickDownListener()`
  `Runnable`
  `onScrollClickLeftListener()`
  `Runnable`
  `onScrollClickRightListener()`
  `Runnable`
  `onScrollClickUpListener()`
  `SyScrollBarHorizontalReadableType`
  `scrollBarHorizontal()`
  `SyScrollBarVerticalReadableType`
  `scrollBarVertical()`

  ### Methods inherited from interface SyActiveReadableType

  `activity, isMouseOver`

  ### Methods inherited from interface SyBoundedReadableType

  `boundingArea, position`

  ### Methods inherited from interface SyComponentReadableType

  `ancestorMatchingReadable, childCount, isActive, isVisible, nodeReadable, relativePositionOf, screen, viewportPositionOf, windowReadable`

  ### Methods inherited from interface SyKeyboardFocusableReadableType

  `keyboardFocusBehavior`

  ### Methods inherited from interface SyMouseFocusAcceptingReadableType

  `isMouseQueryAccepting`

  ### Methods inherited from interface SySizedReadableType

  `size, sizeUpperLimit`

  ### Methods inherited from interface SyThemeableReadableType

  `themeClassesDefaultForComponent, themeClassesExtra, themeClassesInPreferenceOrder`

  ### Methods inherited from interface SyVisibleReadableType

  `visibility`

- ## Method Details

  - ### contentArea

    SyComponentReadableType contentArea()
    Returns:
      A readable reference to the internal content region

  - ### contentViewport

    SyComponentReadableType contentViewport()
    Returns:
      A readable reference to the internal content viewport

  - ### scrollBarHorizontal

    SyScrollBarHorizontalReadableType scrollBarHorizontal()
    Returns:
      A readable reference to the horizontal scroll bar

  - ### scrollBarVertical

    SyScrollBarVerticalReadableType scrollBarVertical()
    Returns:
      A readable reference to the vertical scroll bar

  - ### onScrollClickLeftListener

    Runnable onScrollClickLeftListener()
    Returns:
      The default listener executed when clicking on a scrollbar button

  - ### onScrollClickRightListener

    Runnable onScrollClickRightListener()
    Returns:
      The default listener executed when clicking on a scrollbar button

  - ### onScrollClickUpListener

    Runnable onScrollClickUpListener()
    Returns:
      The default listener executed when clicking on a scrollbar button

  - ### onScrollClickDownListener

    Runnable onScrollClickDownListener()
    Returns:
      The default listener executed when clicking on a scrollbar button